import IMemory from 'modloader64_api/IMemory';
import * as API from '../API/Imports';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import { InventoryItem } from '../API/Imports';
export declare class Inventory extends JSONTemplate implements API.IInventory {
    private emulator;
    private instance;
    private slotInstance;
    private bottleID;
    private bombID;
    constructor(emu: IMemory);
    jsonFields: string[];
    private totalSlots;
    private get itemSlots();
    private set itemSlots(value);
    getItem(item: API.InventorySlotItems): API.InventorySlotItems;
    addItemSlot(item: number): void;
    get galeBoomerang(): boolean;
    set galeBoomerang(bool: boolean);
    get lantern(): boolean;
    set lantern(bool: boolean);
    get spinner(): boolean;
    set spinner(bool: boolean);
    get ironBoots(): boolean;
    set ironBoots(bool: boolean);
    get bow(): boolean;
    set bow(bool: boolean);
    get hawkeye(): boolean;
    set hawkeye(bool: boolean);
    get ballAndChain(): boolean;
    set ballAndChain(bool: boolean);
    get dominionRod(): boolean;
    set dominionRod(bool: boolean);
    get clawshot(): API.InventoryItem;
    set clawshot(item: API.InventoryItem);
    get bottle1(): API.InventoryItem;
    set bottle1(item: API.InventoryItem);
    get bottle2(): API.InventoryItem;
    set bottle2(item: API.InventoryItem);
    get bottle3(): API.InventoryItem;
    set bottle3(item: API.InventoryItem);
    get bottle4(): API.InventoryItem;
    set bottle4(item: API.InventoryItem);
    get bombBag1(): API.InventoryItem;
    set bombBag1(item: API.InventoryItem);
    get bombBag2(): API.InventoryItem;
    set bombBag2(item: API.InventoryItem);
    get bombBag3(): API.InventoryItem;
    set bombBag3(item: API.InventoryItem);
    get ooccoo(): API.InventoryItem;
    set ooccoo(item: API.InventoryItem);
    get questItem(): API.InventoryItem;
    set questItem(item: API.InventoryItem);
    get fishingRod(): InventoryItem;
    set fishingRod(item: InventoryItem);
    get horseCall(): boolean;
    set horseCall(bool: boolean);
    get skyBook(): InventoryItem;
    set skyBook(item: InventoryItem);
    get slingshot(): boolean;
    set slingshot(bool: boolean);
    get quiver(): number;
    set quiver(flag: number);
    get dekuSeeds(): number;
    set dekuSeeds(flag: number);
    get arrows(): number;
    set arrows(flag: number);
    get bombs1(): number;
    set bombs1(flag: number);
    get bombs2(): number;
    set bombs2(flag: number);
    get bombs3(): number;
    set bombs3(flag: number);
}
//# sourceMappingURL=Inventory.d.ts.map