/// <reference types="node" />
import IMemory from 'modloader64_api/IMemory';
import * as API from '../API/Imports';
import { JSONTemplate } from 'modloader64_api/JSONTemplate';
import { StageInfo } from './StageInfo';
export declare class GlobalContext extends JSONTemplate implements API.IGlobalContext {
    private emulator;
    constructor(emu: IMemory);
    get current_stage_id(): number;
    get current_scene_frame(): number;
    get current_scene_name(): string;
    get current_room_number(): number;
    get prev_room_number(): number;
    get next_scene_name(): string;
    get next_room_number(): number;
    get linkPointer(): number;
    get time(): number;
    set time(flag: number);
    getSaveDataForCurrentScene(): Buffer;
    writeSaveDataForCurrentScene(buf: Buffer): void;
    getSaveDataForScene(id: number): StageInfo;
    writeSaveDataForScene(id: number, buf: StageInfo): void;
    sceneNames: string[];
}
//# sourceMappingURL=GlobalContext.d.ts.map