"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = void 0;
const JSONTemplate_1 = require("modloader64_api/JSONTemplate");
class Link extends JSONTemplate_1.JSONTemplate {
    emulator;
    constructor(emu) {
        super();
        this.emulator = emu;
    }
    get pos() {
        return this.emulator.rdramReadPtrBuffer(0x8040BF6C, 0x4D0, 0xC);
    }
    get rot() {
        return this.emulator.rdramReadPtrBuffer(0x8040BF6C, 0x4D0 + 0xC, 0x6);
    }
    get speed() {
        return this.emulator.rdramRead32(0x80A1A2B8);
    }
}
exports.Link = Link;
//# sourceMappingURL=Link.js.map