/// <reference types="node" />
import { JSONTemplate } from "modloader64_api/JSONTemplate";
import * as API from '../API/Imports';
import IMemory from "modloader64_api/IMemory";
import { ITPCore } from "../API/Imports";
export declare const enum ShieldBitMap {
    HEROES = 0,
    MIRROR = 1
}
export declare const enum SwordBitMap {
    HerosSword = 0,
    MasterSword = 1,
    MasterSwordHalf = 2,
    MasterSwordFull = 3
}
export declare class QuestStatus extends JSONTemplate implements API.IQuestStatus {
    private emulator;
    constructor(emu: IMemory, core: ITPCore);
    jsonFields: string[];
    get max_hp(): number;
    set max_hp(flag: number);
    get current_hp(): number;
    set current_hp(flag: number);
    get swordEquip(): number;
    set swordEquip(flag: number);
    get shieldEquip(): number;
    set shieldEquip(flag: number);
    get clothing(): number;
    set clothing(flag: number);
    get form(): number;
    set form(flag: number);
    get rupees(): number;
    set rupees(flag: number);
    get currentWallet(): number;
    set currentWallet(flag: number);
    get ordonSword(): boolean;
    set ordonSword(flag: boolean);
    get masterSword(): boolean;
    set masterSword(flag: boolean);
    get masterSwordTwilightFlag(): boolean;
    set masterSwordTwilightFlag(flag: boolean);
    get ordonShield(): boolean;
    set ordonShield(flag: boolean);
    get woodenShield(): boolean;
    set woodenShield(flag: boolean);
    get hylianShield(): boolean;
    set hylianShield(flag: boolean);
    get heroArmor(): boolean;
    set heroArmor(flag: boolean);
    get zoraArmor(): boolean;
    set zoraArmor(flag: boolean);
    get magicArmor(): boolean;
    set magicArmor(flag: boolean);
    get goldenBugs(): Buffer;
    set goldenBugs(flag: Buffer);
    get hiddenSkills(): number;
    set hiddenSkills(flag: number);
    get poeCount(): number;
    set poeCount(flag: number);
    get scent(): number;
    set scent(flag: number);
    get wooden_sword(): number;
    set wooden_sword(flag: number);
    get dominion_flag(): number;
    set dominion_flag(flag: number);
    get fusedShadow1(): boolean;
    set fusedShadow1(flag: boolean);
    get fusedShadow2(): boolean;
    set fusedShadow2(flag: boolean);
    get fusedShadow3(): boolean;
    set fusedShadow3(flag: boolean);
    get mirrorShard1(): boolean;
    set mirrorShard1(flag: boolean);
    get mirrorShard2(): boolean;
    set mirrorShard2(flag: boolean);
    get mirrorShard3(): boolean;
    set mirrorShard3(flag: boolean);
    get mirrorShard4(): boolean;
    set mirrorShard4(flag: boolean);
}
//# sourceMappingURL=QuestStatus.d.ts.map