/// <reference types="node" />
import { JSONTemplate } from "modloader64_api/JSONTemplate";
import IMemory from "modloader64_api/IMemory";
import { IStageInfo } from "../API/Imports";
export declare class StageInfo extends JSONTemplate implements IStageInfo {
    private emulator;
    private dSv_info_c;
    private stageInfoAddr;
    private stageID;
    jsonFields: string[];
    constructor(emu: IMemory, stageID: number, instance?: number);
    get chests(): Buffer;
    set chests(flag: Buffer);
    get switches(): Buffer;
    set switches(flag: Buffer);
    get items(): Buffer;
    set items(flag: Buffer);
    get keys(): number;
    set keys(flag: number);
    get dungeonItem(): Buffer;
    set dungeonItem(flag: Buffer);
}
//# sourceMappingURL=StageInfo.d.ts.map