/// <reference types="node" />
import { JSONTemplate } from "modloader64_api/JSONTemplate";
import * as API from '../API/Imports';
import { Inventory } from './Inventory';
import IMemory from "modloader64_api/IMemory";
import { QuestStatus } from "./QuestStatus";
import { ITPCore } from "../API/Imports";
import { StageInfo } from "./StageInfo";
export declare class SaveContext extends JSONTemplate implements API.ISaveContext {
    private emulator;
    private core;
    private dSv_info_c;
    private eventFlagAddr;
    private regionFlagAddr;
    private liveFlagAddr;
    inventory: Inventory;
    questStatus: QuestStatus;
    stage_Live: StageInfo;
    stage0_Ordon: StageInfo;
    stage1_Sewers: StageInfo;
    stage2_Faron: StageInfo;
    stage3_Eldin: StageInfo;
    stage4_Laynaru: StageInfo;
    stage5_Unk1: StageInfo;
    stage6_CastleField: StageInfo;
    stage7_SacredGrove: StageInfo;
    stage8_Snowpeak: StageInfo;
    stage9_CastleTown: StageInfo;
    stageA_Gerudo: StageInfo;
    stageB_FishingHole: StageInfo;
    stageC_Unk2: StageInfo;
    stageD_Unk3: StageInfo;
    stageE_Unk4: StageInfo;
    stageF_Unk5: StageInfo;
    stage10_ForestTemple: StageInfo;
    stage11_GoronMines: StageInfo;
    stage12_LakebedTemple: StageInfo;
    stage13_ArbitersGrounds: StageInfo;
    stage14_SnowpeakRuins: StageInfo;
    stage15_TempleOfTime: StageInfo;
    stage16_CitySky: StageInfo;
    stage17_PalaceTwilight: StageInfo;
    stage18_HyruleCastle: StageInfo;
    stage19_Cave1: StageInfo;
    stage1A_Cave2: StageInfo;
    stage1B_Grottos: StageInfo;
    stage1C_Unk6: StageInfo;
    stage1D_Unk7: StageInfo;
    stage1E_Unk8: StageInfo;
    stage1F_Unk9: StageInfo;
    jsonFields: string[];
    constructor(emu: IMemory, core: ITPCore);
    get eventFlags(): Buffer;
    set eventFlags(flag: Buffer);
    get mapFlags(): Buffer;
    set mapFlags(flag: Buffer);
    get itemFlags(): Buffer;
    set itemFlags(flag: Buffer);
    get faronTears(): number;
    set faronTears(flag: number);
    get eldinTears(): number;
    set eldinTears(flag: number);
    get lanayruTears(): number;
    set lanayruTears(flag: number);
    get fusedShadowFlags(): Buffer;
    set fusedShadowFlags(flag: Buffer);
    get twilightMirrorFlags(): Buffer;
    set twilightMirrorFlags(flag: Buffer);
    get letterFlags(): Buffer;
    set letterFlags(flag: Buffer);
    get charloDonation(): number;
    set charloDonation(flag: number);
    get maloDonation(): number;
    set maloDonation(flag: number);
}
//# sourceMappingURL=SaveContext.d.ts.map